Subject: [Uuidrev] Re: [Technical Errata Reported] RFC9562 (8288)
From: Michael Richardson <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 09 Feb 2025 11:48:09 -0500
List-Id: Revise Universally Unique Identifier Definitions <uuidrev.ietf.org>

RFC Errata System <[email-masked]> wrote:
    > 60-bit timestamp valid until 5623 AD; UUIDv7 features a 48-bit

    > Corrected Text
    > 60-bit timestamp valid until 5236 AD; UUIDv7 features a 48-bit

    > Notes
    > -----
    > I believe the error is the result of a bad calculation that used the
    > Unix epoch as the zero-date instead of the Gregorian calendar's 1582
    > zero-date. I've seen online references to the following [incorrect]

okay.
Kyzer, Brad, Paul, do you concur?

If so, tell Orie to approve the edits.

I think it's sort-of-technical, but also sort of editorial, as I don't
anticipate any of us being alive between 5236 and 5623 to deal with this problem.

It also kinda looks like a dyslexic typo, since the digits are permutted.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-                      *I*LIKE*TRAINS*